Enrich a company
curl --request POST \
--url https://api.agntdata.dev/v1/data/agnt/companies/enrich \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": {
"domain": "stripe.com"
}
}
'import requests
url = "https://api.agntdata.dev/v1/data/agnt/companies/enrich"
payload = { "identifiers": { "domain": "stripe.com" } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifiers: {domain: 'stripe.com'}})
};
fetch('https://api.agntdata.dev/v1/data/agnt/companies/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agntdata.dev/v1/data/agnt/companies/enrich",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifiers' => [
'domain' => 'stripe.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agntdata.dev/v1/data/agnt/companies/enrich"
payload := strings.NewReader("{\n \"identifiers\": {\n \"domain\": \"stripe.com\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agntdata.dev/v1/data/agnt/companies/enrich")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"identifiers\": {\n \"domain\": \"stripe.com\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agntdata.dev/v1/data/agnt/companies/enrich")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifiers\": {\n \"domain\": \"stripe.com\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"name": "<string>",
"domain": "<string>",
"description": "<string>",
"industry": "<string>",
"employee_count": 123,
"employee_count_range": "<string>",
"hq_location": "<string>",
"founded_year": 123,
"linkedin_url": "<string>",
"twitter_url": "<string>",
"technologies": "<unknown>",
"funding": "<unknown>",
"competitors": "<unknown>"
},
"meta": {
"costCents": 123,
"purchasedBalanceCents": 123,
"subscriptionRemainingCents": 123,
"cached": true,
"latencyMs": 123,
"priceRange": {
"minCents": 123,
"maxCents": 123
},
"budgetCents": 123,
"budgetCentsPerRecord": 123,
"providersAttempted": 123,
"fieldsReturned": [
"<string>"
],
"fieldsMissing": [
"<string>"
],
"records": 123
}
}Companies — Enrich
Enrich a company
Enrich a company with normalized firmographic fields (industry, headcount, HQ, founded year, technologies, funding, …). REQUIRES a identifiers object containing one or more of: domain, name (or company_name), linkedin_url (or company_linkedin_url). domain is the strongest signal — prefer it when available. Optional fields[] narrows the waterfall. Field-aware waterfall same as /people/enrich.
POST
/
v1
/
data
/
agnt
/
companies
/
enrich
Enrich a company
curl --request POST \
--url https://api.agntdata.dev/v1/data/agnt/companies/enrich \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": {
"domain": "stripe.com"
}
}
'import requests
url = "https://api.agntdata.dev/v1/data/agnt/companies/enrich"
payload = { "identifiers": { "domain": "stripe.com" } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifiers: {domain: 'stripe.com'}})
};
fetch('https://api.agntdata.dev/v1/data/agnt/companies/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agntdata.dev/v1/data/agnt/companies/enrich",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifiers' => [
'domain' => 'stripe.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agntdata.dev/v1/data/agnt/companies/enrich"
payload := strings.NewReader("{\n \"identifiers\": {\n \"domain\": \"stripe.com\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agntdata.dev/v1/data/agnt/companies/enrich")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"identifiers\": {\n \"domain\": \"stripe.com\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agntdata.dev/v1/data/agnt/companies/enrich")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifiers\": {\n \"domain\": \"stripe.com\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"name": "<string>",
"domain": "<string>",
"description": "<string>",
"industry": "<string>",
"employee_count": 123,
"employee_count_range": "<string>",
"hq_location": "<string>",
"founded_year": 123,
"linkedin_url": "<string>",
"twitter_url": "<string>",
"technologies": "<unknown>",
"funding": "<unknown>",
"competitors": "<unknown>"
},
"meta": {
"costCents": 123,
"purchasedBalanceCents": 123,
"subscriptionRemainingCents": 123,
"cached": true,
"latencyMs": 123,
"priceRange": {
"minCents": 123,
"maxCents": 123
},
"budgetCents": 123,
"budgetCentsPerRecord": 123,
"providersAttempted": 123,
"fieldsReturned": [
"<string>"
],
"fieldsMissing": [
"<string>"
],
"records": 123
}
}Authorizations
Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...
Body
application/json
Unique handles to resolve the company. Provide AT LEAST ONE of domain, name/company_name, or linkedin_url/company_linkedin_url.
Show child attributes
Show child attributes
Available options:
name, domain, description, industry, employee_count_range, employee_count, hq_location, founded_year, linkedin_url, twitter_url, technologies, funding, competitors Required range:
x >= 0